{
  "name": "musers-front",
  "version": "1.0.0",
  "main": "./src/index.tsx",
  "repository": "git@gitlab.com:musers-2.0/musers-front.git",
  "author": "nmerk <nadyamerk@gmail.com>",
  "license": "MIT",
  "scripts": {
    "dev": "NODE_ENV=development webpack-dev-server --mode development",
    "build": "NODE_ENV=production webpack --mode production",
    "ts-check": "tsc --skipLibCheck --noEmit --project tsconfig.json",
    "lint-fix": "eslint src --fix",
    "codestyle-fix": "prettier src --write \"*.{ts,js}?(x)\""
  },
  "lint-staged": {
    "*.{ts,js}?(x)": [
      "yarn run lint-fix",
      "yarn run codestyle-fix"
    ]
  },
  "husky": {
    "hooks": {
      "pre-commit": "yarn run ts-check && yarn run lint-fix && yarn run codestyle-fix"
    }
  },
  "devDependencies": {
    "@babel/core": "^7.12.10",
    "@babel/plugin-proposal-class-properties": "^7.12.1",
    "@babel/plugin-proposal-decorators": "^7.12.12",
    "@babel/plugin-proposal-export-default-from": "^7.12.1",
    "@babel/plugin-transform-async-to-generator": "^7.12.1",
    "@babel/preset-env": "^7.12.11",
    "@babel/preset-react": "^7.12.10",
    "@babel/preset-typescript": "^7.12.7",
    "@hot-loader/react-dom": "^17.0.1",
    "@types/react": "^17.0.0",
    "@types/react-dom": "^17.0.0",
    "@types/react-router": "^5.1.8",
    "@types/react-router-dom": "^5.1.6",
    "@types/react-select": "^4.0.15",
    "@types/react-slick": "^0.23.4",
    "@types/react-transition-group": "^4.4.1",
    "@types/styled-components": "^5.1.7",
    "@typescript-eslint/eslint-plugin": "^4.11.0",
    "@typescript-eslint/parser": "^4.11.0",
    "autoprefixer": "^10.1.0",
    "axios": "^0.21.1",
    "babel-loader": "^8.2.2",
    "babel-plugin-styled-components": "^1.12.0",
    "copy-webpack-plugin": "^8.1.1",
    "css-loader": "^5.0.1",
    "eslint": "^7.16.0",
    "eslint-config-prettier": "^7.1.0",
    "eslint-import-resolver-typescript": "^2.3.0",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-prettier": "^3.3.0",
    "eslint-plugin-react": "^7.21.5",
    "eslint-plugin-react-hooks": "^4.2.0",
    "file-loader": "^6.2.0",
    "fork-ts-checker-webpack-plugin": "^6.0.8",
    "html-webpack-plugin": "^5.3.0",
    "mini-css-extract-plugin": "^1.3.3",
    "postcss-loader": "^4.1.0",
    "prettier": "^2.2.1",
    "react-hot-loader": "^4.13.0",
    "react-virtuoso": "^1.2.5",
    "regenerator-runtime": "^0.13.7",
    "sass": "^1.32.2",
    "sass-loader": "^10.1.0",
    "style-loader": "^2.0.0",
    "styled-components": "^5.2.1",
    "typescript": "^4.1.3",
    "url-loader": "^4.1.1",
    "webpack": "^5.24.3",
    "webpack-cli": "^3.3.12",
    "webpack-dev-server": "^3.11.0"
  },
  "dependencies": {
    "@svgr/webpack": "^5.5.0",
    "babel-plugin-typograf": "^1.1.0",
    "dayjs": "^1.10.4",
    "mobx": "^6.1.8",
    "mobx-react": "^7.1.0",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "react-router": "^5.2.0",
    "react-router-dom": "^5.2.0",
    "react-select": "^4.3.1",
    "react-slick": "^0.27.14",
    "react-transition-group": "^4.4.1",
    "react-yandex-maps": "^4.6.0",
    "slick-carousel": "^1.8.1"
  }
}
